R = QQ[z_0..z_8]

-- Q21 

Qu  = {{{1,2,3},{1,4,5},{1,6,7}},
      {{2,3,4,5,6,7}}}

myfile = "result_Quatroid21.txt"
myfile << "Testing irreducibility of the realization space of Quatroid 21. \n \n"

-- up to the action of PGL2 we may
-- normalize the conic 124678 to be x1x2=x0^2
-- and the points 1,2,4 to be (0,1,0), (0,0,1) and (1,1,1) on such conic

X = matrix{
    {0,0,0,1,1,z_3,z_4,z_5},
    {1,0,1,1,z_2,z_3^2,z_4^2,z_5^2},
    {0,1,z_1,1,1,1,1,1}}


myfile << "A point p of S_Q is represented by the matrix \n"
myfile << toString (netList entries X);
myfile << "\n for variables z_i subject to the line and conic conditions of the quatroid. \n \n"

load "handyFunctionsIrreducibility.m2"

J = ideal(
    apply(Qu_0, lC -> lineCondition(lC)) |
    apply(Qu_1, cC -> conicCondition(cC)))

D = decompose J


myfile << "Enforcing the line and conic conditions of Q21 results in the ideal J, whose radical is \n"|toString( radical J);
myfile << "\n This is irreducible.";
myfile << close 

