R = QQ[z_0..z_5]


--Q58 

Qu  = {{{1,2,3},{1,4,5},{2,4,6}},
      {{1,2,5,6,7,8},{3,4,5,6,7,8}}}

myfile = "result_Quatroid58.txt"
myfile << "Testing irreducibility of the realization space of Quatroid 58. \n \n"


-- normalize the conic 345678 to be x1x2=x0^2
-- and the points 3,4,6 to be (0,1,0), (0,0,1) and (1,1,1) on such conic


X = matrix{
    {1, 1  ,  0, 0, z_1,    1, z_2,   z_3 }, 
    {z_5, 1  ,  1, 0, z_1^2,  1, z_2^2, z_3^2} ,
    {z_4,z_4,  0, 1 , 1,     1, 1  , 1 }}

myfile << "A point p of S_Q is represented by the matrix \n"
myfile << toString (netList entries X);
myfile << "\n for variables z_i subject to the line and conic conditions of the quatroid. \n \n"

load "handyFunctionsIrreducibility.m2"

J = ideal(
    apply(Qu_0, lC -> lineCondition(lC)) |
    apply(Qu_1, cC -> conicCondition(cC)))

D = decompose J
myfile << "Enforcing the line and conic conditions of Q58 results in the ideal J, whose radical has primary decomposition \n"
myfile << toString( netList D);

for JJ in D list (
    delete(null,apply( subsets(8,3), ss -> (
	    ss1 = ss+{1,1,1};
	    if (lineCondition(ss1) % JJ == 0_R )then ss1 ))))
netList oo
myfile << "\n \n All components other than the last one satisfy extra line conditions,
in addition to those of Q58. Hence they are contained in a lower stratum. \n \n"

myfile << "The last component is cut out by the ideal \n"
C = last(D)
myfile << toString(C)
myfile << "\n\n The second generator is the polynomial \n"
F = C_1;
myfile << toString(F);

F = homogenize(F,z_0)
singF = ideal(diff(vars(R),F))
myfile << "\n \n Its singular locus, after homogenization, is defined by the ideal \n "
myfile << toString (ideal mingens singF);
myfile << "\n whose codimension is "|(toString(codim singF)) << close
